Skip to content
Developer

BaseEventInvitation

Events9 EndpointsEvent / BaseEventInvitation

Returns a list of BaseEventInvitation objects

GET/api/event/base_event_invitation

Query parameters

idintegerRequires access right: LOGGED_IN_EXPLICIT, SCOPE
readbooleanRequires access right: LOGGED_IN_EXPLICIT, SCOPE
baseEventstringRequires access right: LOGGED_IN_EXPLICIT, SCOPE
companystring
personstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of BaseEventInvitation objectsarray<BaseEventInvitation>

Show fields (10)
  • baseEventBaseEvent15
    Show fields (47)
    • ticketSeatingPlanIdinteger

      Id of the seating plan, also for the public and the customer serialization.

    • bib_numbers_enabledboolean
    • timing_enabledboolean
    • idinteger

      Primary key of the event. Internal ID.

    • public_subtitlestring

      Subtitle shown in the public event listing.

    • event_typestring

      Type of the event, for example course, trip or tournament.

    • event_people_limitinteger

      maximum number of people that can attend the event

    • event_people_min_limitinteger

      minimum number of people that must attend the event

    • hide_event_people_limitboolean

      a setting to hide the event people limit in the frontend ui

    • has_wait_listboolean

      The event has a waiting list once it is full.

    • wait_list_confirmation_requiredboolean

      Participants from the waiting list must confirm their place.

    • trial_enabledboolean

      Trial sessions (Schnuppern) are offered for this event. Off by default: the event has to opt in, the rule comes from trialPolicy, the event's category or the default rule.

    • can_sign_up_for_main_eventboolean

      Participants may sign up for the main event.

    • only_sign_up_for_main_eventboolean

      Participants may only sign up for the main event, not for sub-events.

    • start_timestring (date-time)

      Start of the event.

    • end_timestring (date-time)

      End of the event.

    • require_addressboolean

      Participants must enter an address when signing up.

    • require_contactboolean

      Participants must enter contact details when signing up.

    • require_billingboolean

      Participants must enter billing details when signing up.

    • allow_direct_billingboolean
    • require_direct_billingboolean
    • allow_budget_sign_upboolean
    • require_ageboolean

      Participants must enter their age when signing up.

    • require_grade_levelboolean

      Participants must enter their school grade level when signing up.

    • require_free_note_field_idsstring

      IDs of the free note fields that participants must fill in.

    • generate_new_bookingsboolean

      Bookings are generated automatically for the event schedule.

    • generate_new_bookings_v2boolean

      Bookings are generated with the second version of the schedule generator.

    • generate_ignore_sys_calendarboolean

      Generated bookings ignore the holidays of the system calendar.

    • generate_hour_startstring (date-time)

      Start time of the day for generated bookings.

    • generate_hour_endstring (date-time)

      End time of the day for generated bookings.

    • generate_day_of_weekinteger

      Weekday for generated bookings.

    • bitmask_days_of_weekinteger

      This is a bitmask value of the days of the week the event occurs on

    • bitmask_hours_startinteger

      This is a bitmask value of the hours an event starts on

    • summarized_date_timesstring

      This is a string with the days and hours an event starts on

    • customer_detail_ctastring

      Call-to-action text shown in the customer app on the event detail page.

    • customer_badgestring

      Badge text shown on the event in the customer app.

    • bib_number_modestring

      Vergabeart der Startnummern: OFF, MANUAL, AUTOMATIC oder BATCH. Greift nur, wenn der Event-Typ Startnummern hat (enableBibNumbers).

    • timing_gun_startstring (date-time)

      Startschuss; ohne Wert gilt startTime.

    • timing_public_liveboolean

      Live timing results are public.

    • timing_gps_trackingboolean

      GPS tracking of participants is enabled for timing.

    • timing_self_check_inboolean

      Participants can check in themselves for timing.

    • ticket_sales_enabledboolean

      Ticketverkauf statt Anmeldung: Teilnehmer kaufen Tickets (Ticketarten = Event-Preise mit Kontingent und Verkaufszeitraum), jedes Ticket bekommt einen Code für den Check-in. Greift nur mit der Einstellung event_ticket_sales_enabled.

    • ticket_max_per_orderinteger

      Höchstzahl Tickets je Bestellung; ohne Wert gilt event_ticket_max_per_order_default.

    • ticket_personalizedboolean

      Personalisierte Tickets: jedes Ticket braucht den Namen des Teilnehmers. Sonst laufen alle Tickets einer Bestellung auf den Namen des Käufers.

    • ticket_seatingboolean

      Platzwahl beim Ticketverkauf: jedes Ticket bekommt einen freien Platz aus dem Saalplan des Raums (BaseBookable::ticketSeatingPlan); die Ticketart kann auf eine Zone (ticketSeatZone) beschränkt sein. Greift nur mit der Einstellung event_ticket_seating_enabled.

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

  • idinteger

    Primary key of the invitation. Internal ID.

  • readboolean

    The invitation was read.

  • tokenstring

    Public token of the invitation. Used in the invitation link instead of the ID.

  • first_namestring

    First name of the invited person.

  • last_namestring

    Last name of the invited person.

  • genderstring

    Gender of the invited person.

  • birthdaystring (date-time)

    Birthday of the invited person.

  • messagestring

    Message sent with the invitation.

  • reply_messagestring

    Reply message of the invited person.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/base_event_invitation \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "first_name": "Lena",
    "last_name": "Hartmann",
    "baseEvent": {
      "id": 42,
      "name": "Beispiel",
      "image_url": "https://vynst.de",
      "ticketSeatingPlanId": 42,
      "bib_numbers_enabled": true,
      "timing_enabled": true,
      "public_subtitle": "string",
      "event_type": "string",
      "event_people_limit": 1,
      "event_people_min_limit": 1
    },
    "read": true,
    "token": "string",
    "gender": "string",
    "birthday": "2026-10-15T09:30:00+02:00",
    "message": "string",
    "reply_message": "string"
  }
]

Add a new BaseEventInvitation

POST/api/event/base_event_invitation

Request body application/json

  • dataBaseEventInvitation2
    Show fields (7)
    • idinteger

      Primary key of the invitation. Internal ID.

    • readboolean

      The invitation was read.

    • messagestring

      Message sent with the invitation.

    • reply_messagestring

      Reply message of the invited person.

    • companyCRMCompany27

      Company the entity belongs to.

    • personCRMPerson53

      Person the entity belongs to.

    • base_eventBaseEvent16

      Event the entity belongs to.

Responses

200Add a new BaseEventInvitationBaseEventInvitation3

Show fields (17)
  • companyCRMCompany28
    Show fields (6)
    • idinteger

      Primary key of the company. Internal ID.

    • company_namestring

      Legal name of the company.

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

  • personCRMPerson54
    Show fields (5)
    • idinteger

      Primary key of the person. Internal ID.

    • first_namestring

      First name of the person.

    • last_namestring

      Last name of the person.

    • avatar_tokenstring

      Token of the avatar image.

    • orderinteger

      Position of the entity in the order.

  • baseEventBaseEvent17
    Show fields (51)
    • ticketSeatingPlanIdinteger

      Id of the seating plan, also for the public and the customer serialization.

    • bib_numbers_enabledboolean
    • timing_enabledboolean
    • idinteger

      Primary key of the event. Internal ID.

    • public_subtitlestring

      Subtitle shown in the public event listing.

    • event_typestring

      Type of the event, for example course, trip or tournament.

    • event_people_limitinteger

      maximum number of people that can attend the event

    • event_people_min_limitinteger

      minimum number of people that must attend the event

    • hide_event_people_limitboolean

      a setting to hide the event people limit in the frontend ui

    • has_wait_listboolean

      The event has a waiting list once it is full.

    • wait_list_confirmation_requiredboolean

      Participants from the waiting list must confirm their place.

    • trial_enabledboolean

      Trial sessions (Schnuppern) are offered for this event. Off by default: the event has to opt in, the rule comes from trialPolicy, the event's category or the default rule.

    • can_sign_up_for_main_eventboolean

      Participants may sign up for the main event.

    • only_sign_up_for_main_eventboolean

      Participants may only sign up for the main event, not for sub-events.

    • start_timestring (date-time)

      Start of the event.

    • end_timestring (date-time)

      End of the event.

    • require_addressboolean

      Participants must enter an address when signing up.

    • require_contactboolean

      Participants must enter contact details when signing up.

    • require_billingboolean

      Participants must enter billing details when signing up.

    • allow_direct_billingboolean
    • require_direct_billingboolean
    • allow_budget_sign_upboolean
    • require_ageboolean

      Participants must enter their age when signing up.

    • require_grade_levelboolean

      Participants must enter their school grade level when signing up.

    • require_free_note_field_idsstring

      IDs of the free note fields that participants must fill in.

    • generate_new_bookingsboolean

      Bookings are generated automatically for the event schedule.

    • generate_new_bookings_v2boolean

      Bookings are generated with the second version of the schedule generator.

    • generate_ignore_sys_calendarboolean

      Generated bookings ignore the holidays of the system calendar.

    • generate_hour_startstring (date-time)

      Start time of the day for generated bookings.

    • generate_hour_endstring (date-time)

      End time of the day for generated bookings.

    • generate_day_of_weekinteger

      Weekday for generated bookings.

    • bitmask_days_of_weekinteger

      This is a bitmask value of the days of the week the event occurs on

    • bitmask_hours_startinteger

      This is a bitmask value of the hours an event starts on

    • summarized_date_timesstring

      This is a string with the days and hours an event starts on

    • customer_detail_ctastring

      Call-to-action text shown in the customer app on the event detail page.

    • customer_badgestring

      Badge text shown on the event in the customer app.

    • bib_number_modestring

      Vergabeart der Startnummern: OFF, MANUAL, AUTOMATIC oder BATCH. Greift nur, wenn der Event-Typ Startnummern hat (enableBibNumbers).

    • timing_gun_startstring (date-time)

      Startschuss; ohne Wert gilt startTime.

    • timing_public_liveboolean

      Live timing results are public.

    • timing_gps_trackingboolean

      GPS tracking of participants is enabled for timing.

    • timing_self_check_inboolean

      Participants can check in themselves for timing.

    • ticket_sales_enabledboolean

      Ticketverkauf statt Anmeldung: Teilnehmer kaufen Tickets (Ticketarten = Event-Preise mit Kontingent und Verkaufszeitraum), jedes Ticket bekommt einen Code für den Check-in. Greift nur mit der Einstellung event_ticket_sales_enabled.

    • ticket_max_per_orderinteger

      Höchstzahl Tickets je Bestellung; ohne Wert gilt event_ticket_max_per_order_default.

    • ticket_personalizedboolean

      Personalisierte Tickets: jedes Ticket braucht den Namen des Teilnehmers. Sonst laufen alle Tickets einer Bestellung auf den Namen des Käufers.

    • ticket_seatingboolean

      Platzwahl beim Ticketverkauf: jedes Ticket bekommt einen freien Platz aus dem Saalplan des Raums (BaseBookable::ticketSeatingPlan); die Ticketart kann auf eine Zone (ticketSeatZone) beschränkt sein. Greift nur mit der Einstellung event_ticket_seating_enabled.

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

  • idinteger

    Primary key of the invitation. Internal ID.

  • readboolean

    The invitation was read.

  • tokenstring

    Public token of the invitation. Used in the invitation link instead of the ID.

  • first_namestring

    First name of the invited person.

  • last_namestring

    Last name of the invited person.

  • genderstring

    Gender of the invited person.

  • birthdaystring (date-time)

    Birthday of the invited person.

  • messagestring

    Message sent with the invitation.

  • reply_messagestring

    Reply message of the invited person.

  • main_phonestring

    Main phone number.

  • main_faxstring

    Main fax number.

  • main_emailstring

    Main e-mail address.

  • websitestring

    Website address.

  • orderinteger

    Position of the entity in the order.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/event/base_event_invitation \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "read": true,
    "message": "string",
    "reply_message": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "first_name": "Lena",
  "last_name": "Hartmann",
  "main_phone": "+49 511 123456",
  "main_email": "lena.hartmann@example.org",
  "company": {
    "id": 42,
    "company_name": "Beispiel",
    "main_phone": "+49 511 123456",
    "main_email": "lena.hartmann@example.org",
    "main_fax": "string",
    "website": "string"
  },
  "person": {
    "id": 42,
    "first_name": "Lena",
    "last_name": "Hartmann",
    "avatar_token": "string",
    "order": 1
  },
  "baseEvent": {
    "id": 42,
    "main_phone": "+49 511 123456",
    "main_email": "lena.hartmann@example.org",
    "name": "Beispiel",
    "image_url": "https://vynst.de",
    "ticketSeatingPlanId": 42,
    "bib_numbers_enabled": true,
    "timing_enabled": true,
    "public_subtitle": "string",
    "event_type": "string"
  },
  "read": true,
  "token": "string"
}

Returns a single BaseEventInvitation with the given id

GET/api/event/base_event_invitation/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single BaseEventInvitation with the given idBaseEventInvitation

Show fields (10)
  • baseEventBaseEvent15
    Show fields (47)
    • ticketSeatingPlanIdinteger

      Id of the seating plan, also for the public and the customer serialization.

    • bib_numbers_enabledboolean
    • timing_enabledboolean
    • idinteger

      Primary key of the event. Internal ID.

    • public_subtitlestring

      Subtitle shown in the public event listing.

    • event_typestring

      Type of the event, for example course, trip or tournament.

    • event_people_limitinteger

      maximum number of people that can attend the event

    • event_people_min_limitinteger

      minimum number of people that must attend the event

    • hide_event_people_limitboolean

      a setting to hide the event people limit in the frontend ui

    • has_wait_listboolean

      The event has a waiting list once it is full.

    • wait_list_confirmation_requiredboolean

      Participants from the waiting list must confirm their place.

    • trial_enabledboolean

      Trial sessions (Schnuppern) are offered for this event. Off by default: the event has to opt in, the rule comes from trialPolicy, the event's category or the default rule.

    • can_sign_up_for_main_eventboolean

      Participants may sign up for the main event.

    • only_sign_up_for_main_eventboolean

      Participants may only sign up for the main event, not for sub-events.

    • start_timestring (date-time)

      Start of the event.

    • end_timestring (date-time)

      End of the event.

    • require_addressboolean

      Participants must enter an address when signing up.

    • require_contactboolean

      Participants must enter contact details when signing up.

    • require_billingboolean

      Participants must enter billing details when signing up.

    • allow_direct_billingboolean
    • require_direct_billingboolean
    • allow_budget_sign_upboolean
    • require_ageboolean

      Participants must enter their age when signing up.

    • require_grade_levelboolean

      Participants must enter their school grade level when signing up.

    • require_free_note_field_idsstring

      IDs of the free note fields that participants must fill in.

    • generate_new_bookingsboolean

      Bookings are generated automatically for the event schedule.

    • generate_new_bookings_v2boolean

      Bookings are generated with the second version of the schedule generator.

    • generate_ignore_sys_calendarboolean

      Generated bookings ignore the holidays of the system calendar.

    • generate_hour_startstring (date-time)

      Start time of the day for generated bookings.

    • generate_hour_endstring (date-time)

      End time of the day for generated bookings.

    • generate_day_of_weekinteger

      Weekday for generated bookings.

    • bitmask_days_of_weekinteger

      This is a bitmask value of the days of the week the event occurs on

    • bitmask_hours_startinteger

      This is a bitmask value of the hours an event starts on

    • summarized_date_timesstring

      This is a string with the days and hours an event starts on

    • customer_detail_ctastring

      Call-to-action text shown in the customer app on the event detail page.

    • customer_badgestring

      Badge text shown on the event in the customer app.

    • bib_number_modestring

      Vergabeart der Startnummern: OFF, MANUAL, AUTOMATIC oder BATCH. Greift nur, wenn der Event-Typ Startnummern hat (enableBibNumbers).

    • timing_gun_startstring (date-time)

      Startschuss; ohne Wert gilt startTime.

    • timing_public_liveboolean

      Live timing results are public.

    • timing_gps_trackingboolean

      GPS tracking of participants is enabled for timing.

    • timing_self_check_inboolean

      Participants can check in themselves for timing.

    • ticket_sales_enabledboolean

      Ticketverkauf statt Anmeldung: Teilnehmer kaufen Tickets (Ticketarten = Event-Preise mit Kontingent und Verkaufszeitraum), jedes Ticket bekommt einen Code für den Check-in. Greift nur mit der Einstellung event_ticket_sales_enabled.

    • ticket_max_per_orderinteger

      Höchstzahl Tickets je Bestellung; ohne Wert gilt event_ticket_max_per_order_default.

    • ticket_personalizedboolean

      Personalisierte Tickets: jedes Ticket braucht den Namen des Teilnehmers. Sonst laufen alle Tickets einer Bestellung auf den Namen des Käufers.

    • ticket_seatingboolean

      Platzwahl beim Ticketverkauf: jedes Ticket bekommt einen freien Platz aus dem Saalplan des Raums (BaseBookable::ticketSeatingPlan); die Ticketart kann auf eine Zone (ticketSeatZone) beschränkt sein. Greift nur mit der Einstellung event_ticket_seating_enabled.

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

  • idinteger

    Primary key of the invitation. Internal ID.

  • readboolean

    The invitation was read.

  • tokenstring

    Public token of the invitation. Used in the invitation link instead of the ID.

  • first_namestring

    First name of the invited person.

  • last_namestring

    Last name of the invited person.

  • genderstring

    Gender of the invited person.

  • birthdaystring (date-time)

    Birthday of the invited person.

  • messagestring

    Message sent with the invitation.

  • reply_messagestring

    Reply message of the invited person.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/base_event_invitation/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "first_name": "Lena",
  "last_name": "Hartmann",
  "baseEvent": {
    "id": 42,
    "name": "Beispiel",
    "image_url": "https://vynst.de",
    "ticketSeatingPlanId": 42,
    "bib_numbers_enabled": true,
    "timing_enabled": true,
    "public_subtitle": "string",
    "event_type": "string",
    "event_people_limit": 1,
    "event_people_min_limit": 1
  },
  "read": true,
  "token": "string",
  "gender": "string",
  "birthday": "2026-10-15T09:30:00+02:00",
  "message": "string",
  "reply_message": "string"
}

Update a BaseEventInvitation

PUT/api/event/base_event_invitation/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataBaseEventInvitation2
    Show fields (7)
    • idinteger

      Primary key of the invitation. Internal ID.

    • readboolean

      The invitation was read.

    • messagestring

      Message sent with the invitation.

    • reply_messagestring

      Reply message of the invited person.

    • companyCRMCompany27

      Company the entity belongs to.

    • personCRMPerson53

      Person the entity belongs to.

    • base_eventBaseEvent16

      Event the entity belongs to.

Responses

200Update a BaseEventInvitationBaseEventInvitation3

Show fields (17)
  • companyCRMCompany28
    Show fields (6)
    • idinteger

      Primary key of the company. Internal ID.

    • company_namestring

      Legal name of the company.

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

  • personCRMPerson54
    Show fields (5)
    • idinteger

      Primary key of the person. Internal ID.

    • first_namestring

      First name of the person.

    • last_namestring

      Last name of the person.

    • avatar_tokenstring

      Token of the avatar image.

    • orderinteger

      Position of the entity in the order.

  • baseEventBaseEvent17
    Show fields (51)
    • ticketSeatingPlanIdinteger

      Id of the seating plan, also for the public and the customer serialization.

    • bib_numbers_enabledboolean
    • timing_enabledboolean
    • idinteger

      Primary key of the event. Internal ID.

    • public_subtitlestring

      Subtitle shown in the public event listing.

    • event_typestring

      Type of the event, for example course, trip or tournament.

    • event_people_limitinteger

      maximum number of people that can attend the event

    • event_people_min_limitinteger

      minimum number of people that must attend the event

    • hide_event_people_limitboolean

      a setting to hide the event people limit in the frontend ui

    • has_wait_listboolean

      The event has a waiting list once it is full.

    • wait_list_confirmation_requiredboolean

      Participants from the waiting list must confirm their place.

    • trial_enabledboolean

      Trial sessions (Schnuppern) are offered for this event. Off by default: the event has to opt in, the rule comes from trialPolicy, the event's category or the default rule.

    • can_sign_up_for_main_eventboolean

      Participants may sign up for the main event.

    • only_sign_up_for_main_eventboolean

      Participants may only sign up for the main event, not for sub-events.

    • start_timestring (date-time)

      Start of the event.

    • end_timestring (date-time)

      End of the event.

    • require_addressboolean

      Participants must enter an address when signing up.

    • require_contactboolean

      Participants must enter contact details when signing up.

    • require_billingboolean

      Participants must enter billing details when signing up.

    • allow_direct_billingboolean
    • require_direct_billingboolean
    • allow_budget_sign_upboolean
    • require_ageboolean

      Participants must enter their age when signing up.

    • require_grade_levelboolean

      Participants must enter their school grade level when signing up.

    • require_free_note_field_idsstring

      IDs of the free note fields that participants must fill in.

    • generate_new_bookingsboolean

      Bookings are generated automatically for the event schedule.

    • generate_new_bookings_v2boolean

      Bookings are generated with the second version of the schedule generator.

    • generate_ignore_sys_calendarboolean

      Generated bookings ignore the holidays of the system calendar.

    • generate_hour_startstring (date-time)

      Start time of the day for generated bookings.

    • generate_hour_endstring (date-time)

      End time of the day for generated bookings.

    • generate_day_of_weekinteger

      Weekday for generated bookings.

    • bitmask_days_of_weekinteger

      This is a bitmask value of the days of the week the event occurs on

    • bitmask_hours_startinteger

      This is a bitmask value of the hours an event starts on

    • summarized_date_timesstring

      This is a string with the days and hours an event starts on

    • customer_detail_ctastring

      Call-to-action text shown in the customer app on the event detail page.

    • customer_badgestring

      Badge text shown on the event in the customer app.

    • bib_number_modestring

      Vergabeart der Startnummern: OFF, MANUAL, AUTOMATIC oder BATCH. Greift nur, wenn der Event-Typ Startnummern hat (enableBibNumbers).

    • timing_gun_startstring (date-time)

      Startschuss; ohne Wert gilt startTime.

    • timing_public_liveboolean

      Live timing results are public.

    • timing_gps_trackingboolean

      GPS tracking of participants is enabled for timing.

    • timing_self_check_inboolean

      Participants can check in themselves for timing.

    • ticket_sales_enabledboolean

      Ticketverkauf statt Anmeldung: Teilnehmer kaufen Tickets (Ticketarten = Event-Preise mit Kontingent und Verkaufszeitraum), jedes Ticket bekommt einen Code für den Check-in. Greift nur mit der Einstellung event_ticket_sales_enabled.

    • ticket_max_per_orderinteger

      Höchstzahl Tickets je Bestellung; ohne Wert gilt event_ticket_max_per_order_default.

    • ticket_personalizedboolean

      Personalisierte Tickets: jedes Ticket braucht den Namen des Teilnehmers. Sonst laufen alle Tickets einer Bestellung auf den Namen des Käufers.

    • ticket_seatingboolean

      Platzwahl beim Ticketverkauf: jedes Ticket bekommt einen freien Platz aus dem Saalplan des Raums (BaseBookable::ticketSeatingPlan); die Ticketart kann auf eine Zone (ticketSeatZone) beschränkt sein. Greift nur mit der Einstellung event_ticket_seating_enabled.

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

  • idinteger

    Primary key of the invitation. Internal ID.

  • readboolean

    The invitation was read.

  • tokenstring

    Public token of the invitation. Used in the invitation link instead of the ID.

  • first_namestring

    First name of the invited person.

  • last_namestring

    Last name of the invited person.

  • genderstring

    Gender of the invited person.

  • birthdaystring (date-time)

    Birthday of the invited person.

  • messagestring

    Message sent with the invitation.

  • reply_messagestring

    Reply message of the invited person.

  • main_phonestring

    Main phone number.

  • main_faxstring

    Main fax number.

  • main_emailstring

    Main e-mail address.

  • websitestring

    Website address.

  • orderinteger

    Position of the entity in the order.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/event/base_event_invitation/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "read": true,
    "message": "string",
    "reply_message": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "first_name": "Lena",
  "last_name": "Hartmann",
  "main_phone": "+49 511 123456",
  "main_email": "lena.hartmann@example.org",
  "company": {
    "id": 42,
    "company_name": "Beispiel",
    "main_phone": "+49 511 123456",
    "main_email": "lena.hartmann@example.org",
    "main_fax": "string",
    "website": "string"
  },
  "person": {
    "id": 42,
    "first_name": "Lena",
    "last_name": "Hartmann",
    "avatar_token": "string",
    "order": 1
  },
  "baseEvent": {
    "id": 42,
    "main_phone": "+49 511 123456",
    "main_email": "lena.hartmann@example.org",
    "name": "Beispiel",
    "image_url": "https://vynst.de",
    "ticketSeatingPlanId": 42,
    "bib_numbers_enabled": true,
    "timing_enabled": true,
    "public_subtitle": "string",
    "event_type": "string"
  },
  "read": true,
  "token": "string"
}

Update a BaseEventInvitation

PATCH/api/event/base_event_invitation/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataBaseEventInvitation2
    Show fields (7)
    • idinteger

      Primary key of the invitation. Internal ID.

    • readboolean

      The invitation was read.

    • messagestring

      Message sent with the invitation.

    • reply_messagestring

      Reply message of the invited person.

    • companyCRMCompany27

      Company the entity belongs to.

    • personCRMPerson53

      Person the entity belongs to.

    • base_eventBaseEvent16

      Event the entity belongs to.

Responses

200Update a BaseEventInvitationBaseEventInvitation3

Show fields (17)
  • companyCRMCompany28
    Show fields (6)
    • idinteger

      Primary key of the company. Internal ID.

    • company_namestring

      Legal name of the company.

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

  • personCRMPerson54
    Show fields (5)
    • idinteger

      Primary key of the person. Internal ID.

    • first_namestring

      First name of the person.

    • last_namestring

      Last name of the person.

    • avatar_tokenstring

      Token of the avatar image.

    • orderinteger

      Position of the entity in the order.

  • baseEventBaseEvent17
    Show fields (51)
    • ticketSeatingPlanIdinteger

      Id of the seating plan, also for the public and the customer serialization.

    • bib_numbers_enabledboolean
    • timing_enabledboolean
    • idinteger

      Primary key of the event. Internal ID.

    • public_subtitlestring

      Subtitle shown in the public event listing.

    • event_typestring

      Type of the event, for example course, trip or tournament.

    • event_people_limitinteger

      maximum number of people that can attend the event

    • event_people_min_limitinteger

      minimum number of people that must attend the event

    • hide_event_people_limitboolean

      a setting to hide the event people limit in the frontend ui

    • has_wait_listboolean

      The event has a waiting list once it is full.

    • wait_list_confirmation_requiredboolean

      Participants from the waiting list must confirm their place.

    • trial_enabledboolean

      Trial sessions (Schnuppern) are offered for this event. Off by default: the event has to opt in, the rule comes from trialPolicy, the event's category or the default rule.

    • can_sign_up_for_main_eventboolean

      Participants may sign up for the main event.

    • only_sign_up_for_main_eventboolean

      Participants may only sign up for the main event, not for sub-events.

    • start_timestring (date-time)

      Start of the event.

    • end_timestring (date-time)

      End of the event.

    • require_addressboolean

      Participants must enter an address when signing up.

    • require_contactboolean

      Participants must enter contact details when signing up.

    • require_billingboolean

      Participants must enter billing details when signing up.

    • allow_direct_billingboolean
    • require_direct_billingboolean
    • allow_budget_sign_upboolean
    • require_ageboolean

      Participants must enter their age when signing up.

    • require_grade_levelboolean

      Participants must enter their school grade level when signing up.

    • require_free_note_field_idsstring

      IDs of the free note fields that participants must fill in.

    • generate_new_bookingsboolean

      Bookings are generated automatically for the event schedule.

    • generate_new_bookings_v2boolean

      Bookings are generated with the second version of the schedule generator.

    • generate_ignore_sys_calendarboolean

      Generated bookings ignore the holidays of the system calendar.

    • generate_hour_startstring (date-time)

      Start time of the day for generated bookings.

    • generate_hour_endstring (date-time)

      End time of the day for generated bookings.

    • generate_day_of_weekinteger

      Weekday for generated bookings.

    • bitmask_days_of_weekinteger

      This is a bitmask value of the days of the week the event occurs on

    • bitmask_hours_startinteger

      This is a bitmask value of the hours an event starts on

    • summarized_date_timesstring

      This is a string with the days and hours an event starts on

    • customer_detail_ctastring

      Call-to-action text shown in the customer app on the event detail page.

    • customer_badgestring

      Badge text shown on the event in the customer app.

    • bib_number_modestring

      Vergabeart der Startnummern: OFF, MANUAL, AUTOMATIC oder BATCH. Greift nur, wenn der Event-Typ Startnummern hat (enableBibNumbers).

    • timing_gun_startstring (date-time)

      Startschuss; ohne Wert gilt startTime.

    • timing_public_liveboolean

      Live timing results are public.

    • timing_gps_trackingboolean

      GPS tracking of participants is enabled for timing.

    • timing_self_check_inboolean

      Participants can check in themselves for timing.

    • ticket_sales_enabledboolean

      Ticketverkauf statt Anmeldung: Teilnehmer kaufen Tickets (Ticketarten = Event-Preise mit Kontingent und Verkaufszeitraum), jedes Ticket bekommt einen Code für den Check-in. Greift nur mit der Einstellung event_ticket_sales_enabled.

    • ticket_max_per_orderinteger

      Höchstzahl Tickets je Bestellung; ohne Wert gilt event_ticket_max_per_order_default.

    • ticket_personalizedboolean

      Personalisierte Tickets: jedes Ticket braucht den Namen des Teilnehmers. Sonst laufen alle Tickets einer Bestellung auf den Namen des Käufers.

    • ticket_seatingboolean

      Platzwahl beim Ticketverkauf: jedes Ticket bekommt einen freien Platz aus dem Saalplan des Raums (BaseBookable::ticketSeatingPlan); die Ticketart kann auf eine Zone (ticketSeatZone) beschränkt sein. Greift nur mit der Einstellung event_ticket_seating_enabled.

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

  • idinteger

    Primary key of the invitation. Internal ID.

  • readboolean

    The invitation was read.

  • tokenstring

    Public token of the invitation. Used in the invitation link instead of the ID.

  • first_namestring

    First name of the invited person.

  • last_namestring

    Last name of the invited person.

  • genderstring

    Gender of the invited person.

  • birthdaystring (date-time)

    Birthday of the invited person.

  • messagestring

    Message sent with the invitation.

  • reply_messagestring

    Reply message of the invited person.

  • main_phonestring

    Main phone number.

  • main_faxstring

    Main fax number.

  • main_emailstring

    Main e-mail address.

  • websitestring

    Website address.

  • orderinteger

    Position of the entity in the order.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/event/base_event_invitation/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "read": true,
    "message": "string",
    "reply_message": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "first_name": "Lena",
  "last_name": "Hartmann",
  "main_phone": "+49 511 123456",
  "main_email": "lena.hartmann@example.org",
  "company": {
    "id": 42,
    "company_name": "Beispiel",
    "main_phone": "+49 511 123456",
    "main_email": "lena.hartmann@example.org",
    "main_fax": "string",
    "website": "string"
  },
  "person": {
    "id": 42,
    "first_name": "Lena",
    "last_name": "Hartmann",
    "avatar_token": "string",
    "order": 1
  },
  "baseEvent": {
    "id": 42,
    "main_phone": "+49 511 123456",
    "main_email": "lena.hartmann@example.org",
    "name": "Beispiel",
    "image_url": "https://vynst.de",
    "ticketSeatingPlanId": 42,
    "bib_numbers_enabled": true,
    "timing_enabled": true,
    "public_subtitle": "string",
    "event_type": "string"
  },
  "read": true,
  "token": "string"
}

Deletes a single BaseEventInvitation

DELETE/api/event/base_event_invitation/{identifier}

Path parameters

identifierrequiredstring

Responses

200Deletes a single BaseEventInvitationBaseEventInvitation3

Show fields (17)
  • companyCRMCompany28
    Show fields (6)
    • idinteger

      Primary key of the company. Internal ID.

    • company_namestring

      Legal name of the company.

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

  • personCRMPerson54
    Show fields (5)
    • idinteger

      Primary key of the person. Internal ID.

    • first_namestring

      First name of the person.

    • last_namestring

      Last name of the person.

    • avatar_tokenstring

      Token of the avatar image.

    • orderinteger

      Position of the entity in the order.

  • baseEventBaseEvent17
    Show fields (51)
    • ticketSeatingPlanIdinteger

      Id of the seating plan, also for the public and the customer serialization.

    • bib_numbers_enabledboolean
    • timing_enabledboolean
    • idinteger

      Primary key of the event. Internal ID.

    • public_subtitlestring

      Subtitle shown in the public event listing.

    • event_typestring

      Type of the event, for example course, trip or tournament.

    • event_people_limitinteger

      maximum number of people that can attend the event

    • event_people_min_limitinteger

      minimum number of people that must attend the event

    • hide_event_people_limitboolean

      a setting to hide the event people limit in the frontend ui

    • has_wait_listboolean

      The event has a waiting list once it is full.

    • wait_list_confirmation_requiredboolean

      Participants from the waiting list must confirm their place.

    • trial_enabledboolean

      Trial sessions (Schnuppern) are offered for this event. Off by default: the event has to opt in, the rule comes from trialPolicy, the event's category or the default rule.

    • can_sign_up_for_main_eventboolean

      Participants may sign up for the main event.

    • only_sign_up_for_main_eventboolean

      Participants may only sign up for the main event, not for sub-events.

    • start_timestring (date-time)

      Start of the event.

    • end_timestring (date-time)

      End of the event.

    • require_addressboolean

      Participants must enter an address when signing up.

    • require_contactboolean

      Participants must enter contact details when signing up.

    • require_billingboolean

      Participants must enter billing details when signing up.

    • allow_direct_billingboolean
    • require_direct_billingboolean
    • allow_budget_sign_upboolean
    • require_ageboolean

      Participants must enter their age when signing up.

    • require_grade_levelboolean

      Participants must enter their school grade level when signing up.

    • require_free_note_field_idsstring

      IDs of the free note fields that participants must fill in.

    • generate_new_bookingsboolean

      Bookings are generated automatically for the event schedule.

    • generate_new_bookings_v2boolean

      Bookings are generated with the second version of the schedule generator.

    • generate_ignore_sys_calendarboolean

      Generated bookings ignore the holidays of the system calendar.

    • generate_hour_startstring (date-time)

      Start time of the day for generated bookings.

    • generate_hour_endstring (date-time)

      End time of the day for generated bookings.

    • generate_day_of_weekinteger

      Weekday for generated bookings.

    • bitmask_days_of_weekinteger

      This is a bitmask value of the days of the week the event occurs on

    • bitmask_hours_startinteger

      This is a bitmask value of the hours an event starts on

    • summarized_date_timesstring

      This is a string with the days and hours an event starts on

    • customer_detail_ctastring

      Call-to-action text shown in the customer app on the event detail page.

    • customer_badgestring

      Badge text shown on the event in the customer app.

    • bib_number_modestring

      Vergabeart der Startnummern: OFF, MANUAL, AUTOMATIC oder BATCH. Greift nur, wenn der Event-Typ Startnummern hat (enableBibNumbers).

    • timing_gun_startstring (date-time)

      Startschuss; ohne Wert gilt startTime.

    • timing_public_liveboolean

      Live timing results are public.

    • timing_gps_trackingboolean

      GPS tracking of participants is enabled for timing.

    • timing_self_check_inboolean

      Participants can check in themselves for timing.

    • ticket_sales_enabledboolean

      Ticketverkauf statt Anmeldung: Teilnehmer kaufen Tickets (Ticketarten = Event-Preise mit Kontingent und Verkaufszeitraum), jedes Ticket bekommt einen Code für den Check-in. Greift nur mit der Einstellung event_ticket_sales_enabled.

    • ticket_max_per_orderinteger

      Höchstzahl Tickets je Bestellung; ohne Wert gilt event_ticket_max_per_order_default.

    • ticket_personalizedboolean

      Personalisierte Tickets: jedes Ticket braucht den Namen des Teilnehmers. Sonst laufen alle Tickets einer Bestellung auf den Namen des Käufers.

    • ticket_seatingboolean

      Platzwahl beim Ticketverkauf: jedes Ticket bekommt einen freien Platz aus dem Saalplan des Raums (BaseBookable::ticketSeatingPlan); die Ticketart kann auf eine Zone (ticketSeatZone) beschränkt sein. Greift nur mit der Einstellung event_ticket_seating_enabled.

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

  • idinteger

    Primary key of the invitation. Internal ID.

  • readboolean

    The invitation was read.

  • tokenstring

    Public token of the invitation. Used in the invitation link instead of the ID.

  • first_namestring

    First name of the invited person.

  • last_namestring

    Last name of the invited person.

  • genderstring

    Gender of the invited person.

  • birthdaystring (date-time)

    Birthday of the invited person.

  • messagestring

    Message sent with the invitation.

  • reply_messagestring

    Reply message of the invited person.

  • main_phonestring

    Main phone number.

  • main_faxstring

    Main fax number.

  • main_emailstring

    Main e-mail address.

  • websitestring

    Website address.

  • orderinteger

    Position of the entity in the order.

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/event/base_event_invitation/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "first_name": "Lena",
  "last_name": "Hartmann",
  "main_phone": "+49 511 123456",
  "main_email": "lena.hartmann@example.org",
  "company": {
    "id": 42,
    "company_name": "Beispiel",
    "main_phone": "+49 511 123456",
    "main_email": "lena.hartmann@example.org",
    "main_fax": "string",
    "website": "string"
  },
  "person": {
    "id": 42,
    "first_name": "Lena",
    "last_name": "Hartmann",
    "avatar_token": "string",
    "order": 1
  },
  "baseEvent": {
    "id": 42,
    "main_phone": "+49 511 123456",
    "main_email": "lena.hartmann@example.org",
    "name": "Beispiel",
    "image_url": "https://vynst.de",
    "ticketSeatingPlanId": 42,
    "bib_numbers_enabled": true,
    "timing_enabled": true,
    "public_subtitle": "string",
    "event_type": "string"
  },
  "read": true,
  "token": "string"
}

Add a new BaseEventInvitation for multiple People

POST/api/event/multi_base_event_invitation

Request body application/json

  • dataBaseEventInvitation2
    Show fields (7)
    • idinteger

      Primary key of the invitation. Internal ID.

    • readboolean

      The invitation was read.

    • messagestring

      Message sent with the invitation.

    • reply_messagestring

      Reply message of the invited person.

    • companyCRMCompany27

      Company the entity belongs to.

    • personCRMPerson53

      Person the entity belongs to.

    • base_eventBaseEvent16

      Event the entity belongs to.

Responses

200Add a new BaseEventInvitation for multiple PeopleBaseEventInvitation3

Show fields (17)
  • companyCRMCompany28
    Show fields (6)
    • idinteger

      Primary key of the company. Internal ID.

    • company_namestring

      Legal name of the company.

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

  • personCRMPerson54
    Show fields (5)
    • idinteger

      Primary key of the person. Internal ID.

    • first_namestring

      First name of the person.

    • last_namestring

      Last name of the person.

    • avatar_tokenstring

      Token of the avatar image.

    • orderinteger

      Position of the entity in the order.

  • baseEventBaseEvent17
    Show fields (51)
    • ticketSeatingPlanIdinteger

      Id of the seating plan, also for the public and the customer serialization.

    • bib_numbers_enabledboolean
    • timing_enabledboolean
    • idinteger

      Primary key of the event. Internal ID.

    • public_subtitlestring

      Subtitle shown in the public event listing.

    • event_typestring

      Type of the event, for example course, trip or tournament.

    • event_people_limitinteger

      maximum number of people that can attend the event

    • event_people_min_limitinteger

      minimum number of people that must attend the event

    • hide_event_people_limitboolean

      a setting to hide the event people limit in the frontend ui

    • has_wait_listboolean

      The event has a waiting list once it is full.

    • wait_list_confirmation_requiredboolean

      Participants from the waiting list must confirm their place.

    • trial_enabledboolean

      Trial sessions (Schnuppern) are offered for this event. Off by default: the event has to opt in, the rule comes from trialPolicy, the event's category or the default rule.

    • can_sign_up_for_main_eventboolean

      Participants may sign up for the main event.

    • only_sign_up_for_main_eventboolean

      Participants may only sign up for the main event, not for sub-events.

    • start_timestring (date-time)

      Start of the event.

    • end_timestring (date-time)

      End of the event.

    • require_addressboolean

      Participants must enter an address when signing up.

    • require_contactboolean

      Participants must enter contact details when signing up.

    • require_billingboolean

      Participants must enter billing details when signing up.

    • allow_direct_billingboolean
    • require_direct_billingboolean
    • allow_budget_sign_upboolean
    • require_ageboolean

      Participants must enter their age when signing up.

    • require_grade_levelboolean

      Participants must enter their school grade level when signing up.

    • require_free_note_field_idsstring

      IDs of the free note fields that participants must fill in.

    • generate_new_bookingsboolean

      Bookings are generated automatically for the event schedule.

    • generate_new_bookings_v2boolean

      Bookings are generated with the second version of the schedule generator.

    • generate_ignore_sys_calendarboolean

      Generated bookings ignore the holidays of the system calendar.

    • generate_hour_startstring (date-time)

      Start time of the day for generated bookings.

    • generate_hour_endstring (date-time)

      End time of the day for generated bookings.

    • generate_day_of_weekinteger

      Weekday for generated bookings.

    • bitmask_days_of_weekinteger

      This is a bitmask value of the days of the week the event occurs on

    • bitmask_hours_startinteger

      This is a bitmask value of the hours an event starts on

    • summarized_date_timesstring

      This is a string with the days and hours an event starts on

    • customer_detail_ctastring

      Call-to-action text shown in the customer app on the event detail page.

    • customer_badgestring

      Badge text shown on the event in the customer app.

    • bib_number_modestring

      Vergabeart der Startnummern: OFF, MANUAL, AUTOMATIC oder BATCH. Greift nur, wenn der Event-Typ Startnummern hat (enableBibNumbers).

    • timing_gun_startstring (date-time)

      Startschuss; ohne Wert gilt startTime.

    • timing_public_liveboolean

      Live timing results are public.

    • timing_gps_trackingboolean

      GPS tracking of participants is enabled for timing.

    • timing_self_check_inboolean

      Participants can check in themselves for timing.

    • ticket_sales_enabledboolean

      Ticketverkauf statt Anmeldung: Teilnehmer kaufen Tickets (Ticketarten = Event-Preise mit Kontingent und Verkaufszeitraum), jedes Ticket bekommt einen Code für den Check-in. Greift nur mit der Einstellung event_ticket_sales_enabled.

    • ticket_max_per_orderinteger

      Höchstzahl Tickets je Bestellung; ohne Wert gilt event_ticket_max_per_order_default.

    • ticket_personalizedboolean

      Personalisierte Tickets: jedes Ticket braucht den Namen des Teilnehmers. Sonst laufen alle Tickets einer Bestellung auf den Namen des Käufers.

    • ticket_seatingboolean

      Platzwahl beim Ticketverkauf: jedes Ticket bekommt einen freien Platz aus dem Saalplan des Raums (BaseBookable::ticketSeatingPlan); die Ticketart kann auf eine Zone (ticketSeatZone) beschränkt sein. Greift nur mit der Einstellung event_ticket_seating_enabled.

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

  • idinteger

    Primary key of the invitation. Internal ID.

  • readboolean

    The invitation was read.

  • tokenstring

    Public token of the invitation. Used in the invitation link instead of the ID.

  • first_namestring

    First name of the invited person.

  • last_namestring

    Last name of the invited person.

  • genderstring

    Gender of the invited person.

  • birthdaystring (date-time)

    Birthday of the invited person.

  • messagestring

    Message sent with the invitation.

  • reply_messagestring

    Reply message of the invited person.

  • main_phonestring

    Main phone number.

  • main_faxstring

    Main fax number.

  • main_emailstring

    Main e-mail address.

  • websitestring

    Website address.

  • orderinteger

    Position of the entity in the order.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/event/multi_base_event_invitation \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "read": true,
    "message": "string",
    "reply_message": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "first_name": "Lena",
  "last_name": "Hartmann",
  "main_phone": "+49 511 123456",
  "main_email": "lena.hartmann@example.org",
  "company": {
    "id": 42,
    "company_name": "Beispiel",
    "main_phone": "+49 511 123456",
    "main_email": "lena.hartmann@example.org",
    "main_fax": "string",
    "website": "string"
  },
  "person": {
    "id": 42,
    "first_name": "Lena",
    "last_name": "Hartmann",
    "avatar_token": "string",
    "order": 1
  },
  "baseEvent": {
    "id": 42,
    "main_phone": "+49 511 123456",
    "main_email": "lena.hartmann@example.org",
    "name": "Beispiel",
    "image_url": "https://vynst.de",
    "ticketSeatingPlanId": 42,
    "bib_numbers_enabled": true,
    "timing_enabled": true,
    "public_subtitle": "string",
    "event_type": "string"
  },
  "read": true,
  "token": "string"
}

Update a BaseEventInvitation as customer

PUT/api/event/base_event_invitation_customer/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataBaseEventInvitation4

Responses

200Update a BaseEventInvitation as customerBaseEventInvitation

Show fields (10)
  • baseEventBaseEvent15
    Show fields (47)
    • ticketSeatingPlanIdinteger

      Id of the seating plan, also for the public and the customer serialization.

    • bib_numbers_enabledboolean
    • timing_enabledboolean
    • idinteger

      Primary key of the event. Internal ID.

    • public_subtitlestring

      Subtitle shown in the public event listing.

    • event_typestring

      Type of the event, for example course, trip or tournament.

    • event_people_limitinteger

      maximum number of people that can attend the event

    • event_people_min_limitinteger

      minimum number of people that must attend the event

    • hide_event_people_limitboolean

      a setting to hide the event people limit in the frontend ui

    • has_wait_listboolean

      The event has a waiting list once it is full.

    • wait_list_confirmation_requiredboolean

      Participants from the waiting list must confirm their place.

    • trial_enabledboolean

      Trial sessions (Schnuppern) are offered for this event. Off by default: the event has to opt in, the rule comes from trialPolicy, the event's category or the default rule.

    • can_sign_up_for_main_eventboolean

      Participants may sign up for the main event.

    • only_sign_up_for_main_eventboolean

      Participants may only sign up for the main event, not for sub-events.

    • start_timestring (date-time)

      Start of the event.

    • end_timestring (date-time)

      End of the event.

    • require_addressboolean

      Participants must enter an address when signing up.

    • require_contactboolean

      Participants must enter contact details when signing up.

    • require_billingboolean

      Participants must enter billing details when signing up.

    • allow_direct_billingboolean
    • require_direct_billingboolean
    • allow_budget_sign_upboolean
    • require_ageboolean

      Participants must enter their age when signing up.

    • require_grade_levelboolean

      Participants must enter their school grade level when signing up.

    • require_free_note_field_idsstring

      IDs of the free note fields that participants must fill in.

    • generate_new_bookingsboolean

      Bookings are generated automatically for the event schedule.

    • generate_new_bookings_v2boolean

      Bookings are generated with the second version of the schedule generator.

    • generate_ignore_sys_calendarboolean

      Generated bookings ignore the holidays of the system calendar.

    • generate_hour_startstring (date-time)

      Start time of the day for generated bookings.

    • generate_hour_endstring (date-time)

      End time of the day for generated bookings.

    • generate_day_of_weekinteger

      Weekday for generated bookings.

    • bitmask_days_of_weekinteger

      This is a bitmask value of the days of the week the event occurs on

    • bitmask_hours_startinteger

      This is a bitmask value of the hours an event starts on

    • summarized_date_timesstring

      This is a string with the days and hours an event starts on

    • customer_detail_ctastring

      Call-to-action text shown in the customer app on the event detail page.

    • customer_badgestring

      Badge text shown on the event in the customer app.

    • bib_number_modestring

      Vergabeart der Startnummern: OFF, MANUAL, AUTOMATIC oder BATCH. Greift nur, wenn der Event-Typ Startnummern hat (enableBibNumbers).

    • timing_gun_startstring (date-time)

      Startschuss; ohne Wert gilt startTime.

    • timing_public_liveboolean

      Live timing results are public.

    • timing_gps_trackingboolean

      GPS tracking of participants is enabled for timing.

    • timing_self_check_inboolean

      Participants can check in themselves for timing.

    • ticket_sales_enabledboolean

      Ticketverkauf statt Anmeldung: Teilnehmer kaufen Tickets (Ticketarten = Event-Preise mit Kontingent und Verkaufszeitraum), jedes Ticket bekommt einen Code für den Check-in. Greift nur mit der Einstellung event_ticket_sales_enabled.

    • ticket_max_per_orderinteger

      Höchstzahl Tickets je Bestellung; ohne Wert gilt event_ticket_max_per_order_default.

    • ticket_personalizedboolean

      Personalisierte Tickets: jedes Ticket braucht den Namen des Teilnehmers. Sonst laufen alle Tickets einer Bestellung auf den Namen des Käufers.

    • ticket_seatingboolean

      Platzwahl beim Ticketverkauf: jedes Ticket bekommt einen freien Platz aus dem Saalplan des Raums (BaseBookable::ticketSeatingPlan); die Ticketart kann auf eine Zone (ticketSeatZone) beschränkt sein. Greift nur mit der Einstellung event_ticket_seating_enabled.

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

  • idinteger

    Primary key of the invitation. Internal ID.

  • readboolean

    The invitation was read.

  • tokenstring

    Public token of the invitation. Used in the invitation link instead of the ID.

  • first_namestring

    First name of the invited person.

  • last_namestring

    Last name of the invited person.

  • genderstring

    Gender of the invited person.

  • birthdaystring (date-time)

    Birthday of the invited person.

  • messagestring

    Message sent with the invitation.

  • reply_messagestring

    Reply message of the invited person.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/event/base_event_invitation_customer/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '{}'
Response 200 application/json
{
  "id": 42,
  "first_name": "Lena",
  "last_name": "Hartmann",
  "baseEvent": {
    "id": 42,
    "name": "Beispiel",
    "image_url": "https://vynst.de",
    "ticketSeatingPlanId": 42,
    "bib_numbers_enabled": true,
    "timing_enabled": true,
    "public_subtitle": "string",
    "event_type": "string",
    "event_people_limit": 1,
    "event_people_min_limit": 1
  },
  "read": true,
  "token": "string",
  "gender": "string",
  "birthday": "2026-10-15T09:30:00+02:00",
  "message": "string",
  "reply_message": "string"
}

Update a BaseEventInvitation as customer

PATCH/api/event/base_event_invitation_customer/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataBaseEventInvitation4

Responses

200Update a BaseEventInvitation as customerBaseEventInvitation

Show fields (10)
  • baseEventBaseEvent15
    Show fields (47)
    • ticketSeatingPlanIdinteger

      Id of the seating plan, also for the public and the customer serialization.

    • bib_numbers_enabledboolean
    • timing_enabledboolean
    • idinteger

      Primary key of the event. Internal ID.

    • public_subtitlestring

      Subtitle shown in the public event listing.

    • event_typestring

      Type of the event, for example course, trip or tournament.

    • event_people_limitinteger

      maximum number of people that can attend the event

    • event_people_min_limitinteger

      minimum number of people that must attend the event

    • hide_event_people_limitboolean

      a setting to hide the event people limit in the frontend ui

    • has_wait_listboolean

      The event has a waiting list once it is full.

    • wait_list_confirmation_requiredboolean

      Participants from the waiting list must confirm their place.

    • trial_enabledboolean

      Trial sessions (Schnuppern) are offered for this event. Off by default: the event has to opt in, the rule comes from trialPolicy, the event's category or the default rule.

    • can_sign_up_for_main_eventboolean

      Participants may sign up for the main event.

    • only_sign_up_for_main_eventboolean

      Participants may only sign up for the main event, not for sub-events.

    • start_timestring (date-time)

      Start of the event.

    • end_timestring (date-time)

      End of the event.

    • require_addressboolean

      Participants must enter an address when signing up.

    • require_contactboolean

      Participants must enter contact details when signing up.

    • require_billingboolean

      Participants must enter billing details when signing up.

    • allow_direct_billingboolean
    • require_direct_billingboolean
    • allow_budget_sign_upboolean
    • require_ageboolean

      Participants must enter their age when signing up.

    • require_grade_levelboolean

      Participants must enter their school grade level when signing up.

    • require_free_note_field_idsstring

      IDs of the free note fields that participants must fill in.

    • generate_new_bookingsboolean

      Bookings are generated automatically for the event schedule.

    • generate_new_bookings_v2boolean

      Bookings are generated with the second version of the schedule generator.

    • generate_ignore_sys_calendarboolean

      Generated bookings ignore the holidays of the system calendar.

    • generate_hour_startstring (date-time)

      Start time of the day for generated bookings.

    • generate_hour_endstring (date-time)

      End time of the day for generated bookings.

    • generate_day_of_weekinteger

      Weekday for generated bookings.

    • bitmask_days_of_weekinteger

      This is a bitmask value of the days of the week the event occurs on

    • bitmask_hours_startinteger

      This is a bitmask value of the hours an event starts on

    • summarized_date_timesstring

      This is a string with the days and hours an event starts on

    • customer_detail_ctastring

      Call-to-action text shown in the customer app on the event detail page.

    • customer_badgestring

      Badge text shown on the event in the customer app.

    • bib_number_modestring

      Vergabeart der Startnummern: OFF, MANUAL, AUTOMATIC oder BATCH. Greift nur, wenn der Event-Typ Startnummern hat (enableBibNumbers).

    • timing_gun_startstring (date-time)

      Startschuss; ohne Wert gilt startTime.

    • timing_public_liveboolean

      Live timing results are public.

    • timing_gps_trackingboolean

      GPS tracking of participants is enabled for timing.

    • timing_self_check_inboolean

      Participants can check in themselves for timing.

    • ticket_sales_enabledboolean

      Ticketverkauf statt Anmeldung: Teilnehmer kaufen Tickets (Ticketarten = Event-Preise mit Kontingent und Verkaufszeitraum), jedes Ticket bekommt einen Code für den Check-in. Greift nur mit der Einstellung event_ticket_sales_enabled.

    • ticket_max_per_orderinteger

      Höchstzahl Tickets je Bestellung; ohne Wert gilt event_ticket_max_per_order_default.

    • ticket_personalizedboolean

      Personalisierte Tickets: jedes Ticket braucht den Namen des Teilnehmers. Sonst laufen alle Tickets einer Bestellung auf den Namen des Käufers.

    • ticket_seatingboolean

      Platzwahl beim Ticketverkauf: jedes Ticket bekommt einen freien Platz aus dem Saalplan des Raums (BaseBookable::ticketSeatingPlan); die Ticketart kann auf eine Zone (ticketSeatZone) beschränkt sein. Greift nur mit der Einstellung event_ticket_seating_enabled.

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

  • idinteger

    Primary key of the invitation. Internal ID.

  • readboolean

    The invitation was read.

  • tokenstring

    Public token of the invitation. Used in the invitation link instead of the ID.

  • first_namestring

    First name of the invited person.

  • last_namestring

    Last name of the invited person.

  • genderstring

    Gender of the invited person.

  • birthdaystring (date-time)

    Birthday of the invited person.

  • messagestring

    Message sent with the invitation.

  • reply_messagestring

    Reply message of the invited person.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/event/base_event_invitation_customer/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '{}'
Response 200 application/json
{
  "id": 42,
  "first_name": "Lena",
  "last_name": "Hartmann",
  "baseEvent": {
    "id": 42,
    "name": "Beispiel",
    "image_url": "https://vynst.de",
    "ticketSeatingPlanId": 42,
    "bib_numbers_enabled": true,
    "timing_enabled": true,
    "public_subtitle": "string",
    "event_type": "string",
    "event_people_limit": 1,
    "event_people_min_limit": 1
  },
  "read": true,
  "token": "string",
  "gender": "string",
  "birthday": "2026-10-15T09:30:00+02:00",
  "message": "string",
  "reply_message": "string"
}